#perl -T

use strict;
use warnings;

use Test::More tests => 8 + 1;
use Test::NoWarnings;

BEGIN {
    use_ok('MyExample');
    require_ok('DBI');
    require_ok('DBD::PO'); DBD::PO->init(':plural');
    use_ok('HTML::Template::Compiled::Filter::Whitespace', 'whitespace_filter');
    require_ok('Tie::Sub');
    require_ok('Locale::TextDomain');
}

BEGIN { use_ok('Locale::Maketext::TieHash::nbsp') };

my $object = MyExample->new( sub {} );
isa_ok(
    $object,
    'MyExample',
);

